summaryrefslogtreecommitdiff
path: root/tests/mv/backup-is-src
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1998-05-11 03:55:18 +0000
committerJim Meyering <jim@meyering.net>1998-05-11 03:55:18 +0000
commit83a446201808bd80862ed90382be484e39233596 (patch)
treeaad964d2acba4b05427855e776b587861b76dc30 /tests/mv/backup-is-src
parent2b416bd83e93c34eeec27d0ed1e1ff4001803632 (diff)
downloadcoreutils-83a446201808bd80862ed90382be484e39233596.tar.xz
.
Diffstat (limited to 'tests/mv/backup-is-src')
-rwxr-xr-xtests/mv/backup-is-src56
1 files changed, 56 insertions, 0 deletions
diff --git a/tests/mv/backup-is-src b/tests/mv/backup-is-src
new file mode 100755
index 000000000..23bfda4e3
--- /dev/null
+++ b/tests/mv/backup-is-src
@@ -0,0 +1,56 @@
+#!/bin/sh
+# Force mv to use the copying code.
+
+: ${MV=mv}
+: ${RM=rm}
+
+if test "$VERBOSE" = yes; then
+ set -x
+ $MV --version
+fi
+
+. $srcdir/setup
+
+if test -z "$other_partition_tmpdir"; then
+ exit 77
+fi
+
+a="$other_partition_tmpdir/a"
+a2="$other_partition_tmpdir/a~"
+
+framework_failure=0
+$RM -f $a $a2 || framework_failure=1
+: > $a || framework_failure=1
+echo a > $a2 || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+# Make sure we get English translations.
+LANGUAGE=C
+export LANGUAGE
+LC_ALL=C
+export LC_ALL
+LANG=C
+export LANG
+
+# This mv command should exit nonzero.
+$MV -b -V simple $a2 $a > out 2>&1 && fail=1
+
+sed \
+ -e "s,$MV:,XXX:," \
+ -e "s,$a,YYY," \
+ -e "s,$a2,ZZZ," \
+ out > out2
+
+cat > exp <<\EOF
+XXX: backing up `YYY' would destroy source; `ZZZ' not moved
+EOF
+
+cmp out2 exp || fail=1
+
+$RM -f out out2 exp $a $a2
+
+exit $fail